adinstbpm - Task #17731
Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Closed Orbit Circular Buffer (0x0010)
09/15/2017 11:32 AM - John Diamond

Status: Resolved Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 1.00 hour
Description

Implement Booster BPM ACNET device 0x0010.

History

#1 -10/11/2017 02:13 PM - John Diamond
- Status changed from Assigned to Work in progress

- % Done changed from 0 to 90

Implemented as BoosterCrateACNET::readFlashOrbit(). Created an ACNET device for BBPMTS:

e Z:BTCOH1

#2-10/17/2017 11:36 AM - John Diamond

It appears that the B:xxCOH1 device names are actually for the "Orbit Group" (0x001e) device. From looking at the devices for BBPMO6 it also
appears that there are no "Closed Orbit Circular Buffer" (0x0010) devices. I've repurposed Z:BTCOH1 for the Orbit Group device for now.

#3 - 10/18/2017 08:14 PM - John Diamond
- Status changed from Work in progress to Resolved

- % Done changed from 90 to 100

Filled in missing header fields according to e-mail conversation with Bill.
